package com.mx.dla.dda.factura.general.dtos;

import java.io.Serializable;
import java.util.List;


/**
 * Representa los parametros enviados desde el front-end para notificar la Factura, mismos que son 
 * recibidos por este cliente. Esta clase pertenece al ambito de DDA.
 *
 */
public class ParamNotificaFacturaDTO implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String idFactura;
	
	public String getIdFactura() {
		return idFactura;
	}

	public void setIdFactura(String idFactura) {
		this.idFactura = idFactura;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idFactura: _" + this.getIdFactura() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
